# Uses of Class
net.shibboleth.idp.attribute.StringAttributeValue

Packages that use StringAttributeValue
Package
Description
net.shibboleth.idp.attribute
`IdPAttribute`s are protocol-agnostic units of information about some thing, usually a user.
net.shibboleth.idp.attribute.resolver.ad.impl
Implementations of various `AttributeDefinition`s.
net.shibboleth.idp.attribute.resolver.ad.mapped.impl
A `DataConnector` implementation that maps from a given set of source value to an output value.
net.shibboleth.idp.attribute.resolver.testing
Testing utility classes.
net.shibboleth.idp.saml.attribute.transcoding.impl
Implementations of SAML transcoders.
net.shibboleth.idp.saml.saml2.nameid.transcoding.impl
SAML 2.0 NameID transcoder implementations.

## Uses of StringAttributeValue in net.shibboleth.idp.attribute

Subclasses of StringAttributeValue in net.shibboleth.idp.attribute
Modifier and Type
Class
Description
`final class`
`ScopedStringAttributeValue`
An attribute value with an associated scope.

## Uses of StringAttributeValue in net.shibboleth.idp.attribute.resolver.ad.impl

Methods in net.shibboleth.idp.attribute.resolver.ad.impl with parameters of type StringAttributeValue
Modifier and Type
Method
Description
`private IdPAttributeValue`
PrescopedAttributeDefinition.`buildScopedStringAttributeValue(StringAttributeValue value)`
Builds a `ScopedStringAttributeValue` from a `StringAttributeValue` whose value contains a delimited value.

## Uses of StringAttributeValue in net.shibboleth.idp.attribute.resolver.ad.mapped.impl

Fields in net.shibboleth.idp.attribute.resolver.ad.mapped.impl declared as StringAttributeValue
Modifier and Type
Field
Description
`private StringAttributeValue`
MappedAttributeDefinition.`defaultValue`
Default return value.
Methods in net.shibboleth.idp.attribute.resolver.ad.mapped.impl that return StringAttributeValue
Modifier and Type
Method
Description
`StringAttributeValue`
MappedAttributeDefinition.`getDefaultAttributeValue()`
Gets the default return value.
Methods in net.shibboleth.idp.attribute.resolver.ad.mapped.impl that return types with arguments of type StringAttributeValue
Modifier and Type
Method
Description
`Set<StringAttributeValue>`
ValueMap.`apply(String attributeValue)`
Evaluate an incoming attribute value against this value map.
`protected List<StringAttributeValue>`
MappedAttributeDefinition.`mapValue(String value)`
Maps the value from a dependency in to the value(s) for this attribute.

## Uses of StringAttributeValue in net.shibboleth.idp.attribute.resolver.testing

Fields in net.shibboleth.idp.attribute.resolver.testing declared as StringAttributeValue
Modifier and Type
Field
Description
`static final StringAttributeValue`
TestSources.`ATTRIBUTE_ATTRIBUTE_VALUE_RESULT`
A test attribute value.
`static final StringAttributeValue`
TestSources.`COMMON_ATTRIBUTE_VALUE_RESULT`
A test attribute value.
`static final StringAttributeValue`
TestSources.`CONNECTOR_ATTRIBUTE_VALUE_REGEXP_RESULT`
Result from a regexp.
`static final StringAttributeValue`
TestSources.`CONNECTOR_ATTRIBUTE_VALUE_RESULT`
A test attribute value.
`static final StringAttributeValue[]`
TestSources.`SECOND_ATTRIBUTE_VALUE_RESULTS`
Some test attributes.

## Uses of StringAttributeValue in net.shibboleth.idp.saml.attribute.transcoding.impl

Methods in net.shibboleth.idp.saml.attribute.transcoding.impl with parameters of type StringAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML1StringAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, StringAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.
`protected XMLObject`
SAML2StringAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, StringAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.

## Uses of StringAttributeValue in net.shibboleth.idp.saml.saml2.nameid.transcoding.impl

Methods in net.shibboleth.idp.saml.saml2.nameid.transcoding.impl with parameters of type StringAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML2StringNameIDTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, StringAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.